import { useCallback as s } from "react";
const c = (e) => {
  const t = s(
    (n) => {
      const o = e.find((r) => r === n);
      return o ? { key: o } : void 0;
    },
    [e]
  );
  return { data: e, getItem: t };
};
export {
  c as u
};
